.THIS {}

.THIS * {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    font-family: Roboto;
    text-decoration: none;
}

.THIS.main {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    position: relative;
}

.THIS .main-block {
    width: 1440px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.THIS aside {
    width: 250px;
    margin-right: 15px;
    padding-top: 15px;
}

.THIS section {
    width: 1200px;
}

.THIS .user {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.THIS .user-picture {
    width: 90px;
    height: 90px;
}

.THIS .building {
    color: #000;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: space-between;
    -ms-flex-pack: space-between;
    justify-content: space-between;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.THIS .building-item {
    width: 363px;
    background: #fff;
    transition: all 0.3s ease;
    -webkit-box-shadow: 0 10px 20px -10px rgba(0, 0, 0, 0.2);
    box-shadow: 0 10px 20px -10px rgba(0, 0, 0, 0.2);
    margin: 15px;
    border-radius: 15px;
    text-decoration: none;
}

.THIS .building-item-img {
    height: 270px;
    width: 363px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.THIS .building-item:hover {
    /* box-shadow: 0 10px 20px 10px rgba(154, 46, 135, 1); */
    box-shadow: 0 10px 20px 10px rgba(71, 74, 81, 0.3);
}

.THIS .building-item-information {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    margin: 30px;
}

.THIS .building-item:nth-child(3n+1) {
    margin-left: 0;
}

.THIS .building-item:nth-child(3n+3) {
    margin-right: 0;
}

.THIS .building-item-information-item {
    font-weight: 400;
    font-size: 16px;
    color: #000;
}

.THIS .building-item-information-item-price sup,
.THIS .building-item-information-item-price sub {
    font-weight: 400;
    font-size: 16px;
    color: #000;
}

.THIS .building-item-information-adress {
    font-weight: 400;
    font-size: 20px;
    color: #000;
}

.THIS .building-item-information-item>span {
    font-weight: 400;
    color: gray;
}

.THIS .building-item-information-item-name {
    font-size: 24px;
}

.THIS .building-item-information-item-price .number {
    font-size: 40px;
    color: #252729;
}

.THIS .search {
    background: #808086;
    margin-bottom: 20px;
    border-radius: 10px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: 20px;
    font-weight: 300;
}

.THIS .search-title {
    margin-bottom: 10px;
    font-weight: 500;
}

.THIS .search-item {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.THIS .search-item label {
    color: #000;
}

.THIS .search-item input {
    border-radius: 5px;
    border: none;
    height: 25px;
}

.THIS .dropdown-menu {
    z-index: 1;
}

.THIS .search-button {
    margin-top: 20px;
    background: transparent;
    text-align: center;
    border-radius: 5px;
    color: #000;
    border: 1px solid #000;
    height: 40px;
}

.THIS .filter {
    background: #808086;
    margin-bottom: 20px;
    border-radius: 10px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: 20px;
    font-weight: 300;
}

.THIS .filter-section {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.THIS .filter-section-item {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.THIS .filter-section-item label,
.THIS .filter-section-item span {
    color: #000;
}

.THIS .loupe {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    height: 40px;
    background: white;
    justify-content: center;
    align-items: center;
    padding: 5px 10px;
    border-radius: 20px;
    width: 105px;
    display: flex;
    background: rgba();
    justify-content: space-between;
    background-color: rgb(0,51,255);
    color: white;
}

.THIS .loupe > img {
    width: 30px;
    height: 30px;
}

.THIS .ty-compact-list {
    padding: 5px 5px 5px 0px;
    float: left;
    width: 100%;
}

.THIS .show-more-rooms,
.THIS .show-more-floors,
.THIS .show-more-facilities {
    display: none;
    cursor: pointer;
}

.THIS .show-aside {
    display: block;
}


@media screen and (max-width: 1460px) {
    .THIS .header-main {
        width: 100%;
    }

    .THIS .main-block {
        width: 100%;
    }

    .THIS .filter {
        width: 250px;
    }
}

@media screen and (max-width: 1415px) {
    .THIS .building-item:nth-child(3n+1) {
        margin-left: 15px;
    }

    .THIS .building-item:nth-child(3n+3) {
        margin-right: 15px;
    }

    .THIS .building-item:nth-child(2n+1) {
        margin-left: 0px;
    }

    .THIS .building-item:nth-child(2n+2) {
        margin-right: 0px;
    }

    .THIS .loupe {
        display: flex;
    }

    .THIS .building {
        justify-content: space-around;
    }
}

@media screen and (max-width: 1035px) {
    .THIS .building {
        flex-direction: column;
        align-items: center;
    }

    .THIS .building-item:nth-child(3n+1) {
        margin-left: 0;
    }

    .THIS .building-item:nth-child(3n+3) {
        margin-right: 0;
    }

    .THIS .building-item {
        margin-left: 0;
        margin-right: 0;
    }

    .THIS aside {
        display: none;
    }
}

.THIS .switch__input {
    opacity: 0;
    position: absolute;
    width: 0;
    height: 0;
    padding: 0;
}

.THIS .switch__field {
    width: 60px;
    height: 32px;
    background: #f1f1f1;
    border-radius: 16px;
    display: inline-block;
    vertical-align: top;
    cursor: pointer;
    position: relative;
    transition: background-color 0.15s ease-in-out;
}

.THIS .switch__field:after {
    content: '';
    position: absolute;
    height: 32px;
    width: 32px;
    background: #fff;
    border: 1px solid #dedede;
    box-sizing: border-box;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
    left: 0;
    top: 0;
    border-radius: 50%;
    transition: transform 0.15s ease-in-out;
}

.THIS .switch__input:checked + .switch__field:after {
    transform: translateX(28px);
}

.THIS .switch__input:checked + .switch__field {
    background: #2ecc71;
}

.THIS .selected{
    color:orange;
}